<!-- CARD EDITOR -->
<div class="center-column lv">
	<div class="lh nopadding">
		<div class="lv">
			<!-- Card ID -->
			<div style="display: none;">
				<input type="number" id="event-card-id" value="-1"/>
			</div>
			<!-- Event Name -->
			<div>
				<label>Event Name
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="event-name-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-name-help">
					This is the name of the event.
				</div>
				<input type="text" id="event-common-name"/>
			</div>

			<!-- Card Category -->
			<div>
				<label>Category
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="event-category-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-category-help">
					This is the category of the card.
					<strong>Event</strong> cards are cards that negatively affect the players, and must be played as soon as they appear.
					<strong>Action</strong> cards are cards that help the players, and they are kept in a player's hand until they choose to use them.
				</div>
				<div class="dropdown">
					<select id="event-category">
						<option value="Event">Event</option>
						<option value="Action">Action</option>
					</select>
				</div>
			</div>
		</div>

		<div class="lv">
			<!-- Diet -->
			<div class="lh nopadding">
				<div class="lv">
					<label>Diet
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-diet-help"
						data-position="top-right"></div>
					</label>
					<div class="dialog help-dialog" id="event-diet-help">
						Some events may take the form of a hazardous species. To identify what type of diet the species has, you can set the diet here.
					</div>
					<div class="dropdown">
						<select id="event-diet">
							<option value="">None</option>
							<option value="Autotroph">Autotroph</option>
							<option value="Herbivore">Herbivore</option>
							<option value="Carnivore">Carnivore</option>
							<option value="Omnivore">Omnivore</option>
							<option value="Special">Special</option>
						</select>
					</div>
				</div>
				<div class="lv">
					<label>#
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-diet-number-help"
						data-position="bottom-right"></div>
					</label>
					<div class="dialog help-dialog" id="event-diet-number-help">
						Each type of diet is assigned a number.
						This helps the player understand where the species is in the food chain:
						<strong>Autotrophs</strong> are at the bottom (1),
						<strong>Herbivores</strong> are in the middle (2),
						<strong>Carnivores</strong> and <strong>Omnivores</strong> are at the top (3).
						Species with a <strong>Special</strong> diet can have a custom number.
						<strong>Remember:</strong> a species with Special diet will also need
						instructions in the Effects section to indicate the special requirements or
						rules of their diet!
					</div>
					<input type="text" id="event-diet-number" disabled/>
				</div>
			</div>

			<!-- Scale -->
			<div>
				<label>Scale
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="event-scale-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-scale-help">
					Some events may take the form of a hazardous species. To identify the scale of the event, you can set it here. Note that there is a star (*) which indicates the event will work for any scale value.
				</div>
				<div class="dropdown">
					<select id="event-scale">
						<option value="">None</option>
						<option value="*">* (any)</option>
						<option value="1">1 (virus)</option>
						<option value="2">2 (single cell)</option>
						<option value="3">3 (multi-cell)</option>
						<option value="4">4 (insect)</option>
						<option value="5">5 (small rodent)</option>
						<option value="6">6 (medium dog)</option>
						<option value="7">7 (human)</option>
						<option value="8">8 (bear)</option>
						<option value="9">9 (whale)</option>
					</select>
				</div>
			</div>

			<!-- Type -->
			<div>
				<label>Type
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="event-type-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-type-help">
					If the card Category is an <strong>Event</strong> card, then you must set if it is a Natural, or Man-Made Event.
				</div>
				<div class="dropdown">
					<select id="event-type">
						<option value="Man-Made">Man-Made</option>
						<option value="Natural">Natural</option>
					</select>
				</div>
			</div>
		</div>
	</div>

	<div class="lh start nopadding">
		<div class="lv">
			<!-- Image Type (URL or localfile) -->
			<div class="tab-bar center self-start">
				<div class="font-heavy tinytab">Image from: &nbsp;&nbsp;
				</div>
				<div class="tab tinytab active" data-tab="event-local-file" data-group="event-image-type">
					<button class="tinybutton">FILE</button>
				</div>
				<div class="tab tinytab" data-tab="event-url-link" data-group="event-image-type">
					<button class="tinybutton">URL</button>
				</div>
				<div class="nopadding self-start">
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-image-from-help"
						data-position="top-right"></div>
				</div>
				<div class="dialog help-dialog" id="event-image-from-help">
					Indicate if the image for the card comes from a file on your computer or an image from the Internet via a URL.<br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
			</div>
			<!-- Image Local File -->
			<div class="flex-1 tab-content" id="event-local-file">
				<label>Image file
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-image-file-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-image-file-help">
					Upload an image from your computer that you want to show on this card. <br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
				<input class="extra-wide" type="file" id="event-image-file"/>
			</div>
			<!-- Image URL -->
			<div class="flex-1 tab-content" id="event-url-link">
				<label>Image URL
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-image-url-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-image-url-help">
					Paste the address of an image you want to show on this card. On a website, you can right-click and select "Copy image address" to get the URL of an image. <br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
				<input type="text" class="extra-wide" id="event-image-url"/>
			</div>
			<!-- Image Credit -->
			<div class="flex-1">
				<label>Image Credit
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-image-credit-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-image-credit-help">
					If you use an image that is not your own, you should use this to show the name of the person or organization you got the image from.
				</div>
				<input class="extra-wide" type="text" id="event-image-credit"/>
			</div>
		</div>

		<div class="lv">
			<!-- Terrains Selection -->
			<div class="checkbox-aura" id="event-allterrain">
				<div class="checkbox" id="event-allterrain-div"></div>
				<label class="checkbox-label">All Terrains</label>
				<input type="checkbox" id="event-allterrain-input" name="event-allterrain">
			</div>

			<!-- Terrain 1 -->
			<div>
				<label>Terrain 1
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-terrain-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-terrain-help">
					If an event would affect the terrain of the ecosystem, you can set which terrain the card will have here.
				</div>
				<div class="dropdown">
					<select id="event-terrain1">
						<option value="">None</option>
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>

			<!-- Terrain 2 -->
			<div>
				<label>Terrain 2</label>
				<div class="dropdown">
					<select id="event-terrain2">
						<option value="">None</option>
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>

			<!-- Terrain 3 -->
			<div>
				<label>Terrain 3</label>
				<div class="dropdown">
					<select id="event-terrain3">
						<option value="">None</option>
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>
		</div>

		<div class="lv">
			<!-- Climate Selection -->
			<div class="checkbox-aura" id="event-allclimates">
				<div class="checkbox" id="event-allclimates-div"></div>
				<label class="checkbox-label">All Climates</label>
				<input type="checkbox" id="event-allclimates-input" name="event-allclimates">
			</div>

			<!-- Climate 1 -->
			<div>
				<label>Climate 1
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="event-climate-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="event-climate-help">
					If an event would affect the climate of the ecosystem, you can set which climates the card will have here.
				</div>
				<div class="dropdown">
					<select id="event-climate1">
						<option value="">None</option>
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>

			<!-- Climate 2 -->
			<div>
				<label>Climate 2</label>
				<div class="dropdown">
					<select id="event-climate2">
						<option value="">None</option>
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>

			<!-- Climate 3 -->
			<div>
				<label>Climate 3</label>
				<div class="dropdown">
					<select id="event-climate3">
						<option value="">None</option>
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>
		</div>

	</div>

	<!-- Card effects -->
	<div>
		<label>Card Effects
			<div class="dialog-toggle help-trigger icon help"
				data-dialog="event-effects-help"
				data-position="top-right"></div>
		</label>
		<div class="dialog help-dialog" id="event-effects-help">
			This describes how the card is used in the game. If the card is an <strong>Event</strong> card, this describes what happens when the player draws this card. If the card is an <strong>Action</strong> card, this describes how a player can use the card to help win the game.
		</div>
		<textarea id="event-effects" name="event-effects" rows="7" cols="60"></textarea>
	</div>

	<!-- Fun Fact -->
	<div>
		<label>Fun Fact
			<div class="dialog-toggle help-trigger icon help"
				data-dialog="event-fact-help"
				data-position="top-right"></div>
		</label>
		<div class="dialog help-dialog" id="event-fact-help">
			Add some educational content to your cards! Provide a small fact or interesting nugget of info about this event or action.
		</div>
		</label>
		<textarea id="event-fact" name="event-fact" rows="4" cols="60"></textarea>
	</div>

	<div class="list-item lh">
		<button id="save-event">SAVE</button><button id="delete-event">DELETE</button>
	</div>
</div>